com.google.gwt.i18n.rebind.keygen

## Class FullyQualifiedMethodNameKeyGenerator

- java.lang.Object
- - com.google.gwt.i18n.rebind.keygen.FullyQualifiedMethodNameKeyGenerator

All Implemented Interfaces:
  KeyGenerator

Deprecated.
Use `FullyQualifiedMethodNameKeyGenerator` instead.

    @Deprecated
    public class FullyQualifiedMethodNameKeyGenerator
    extends java.lang.Object
    implements KeyGenerator

Key generator using the fully-qualified method name.

### Constructor Summary

Constructors
Constructor and Description
`FullyQualifiedMethodNameKeyGenerator()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `generateKey(java.lang.String className, java.lang.String methodName, java.lang.String text, java.lang.String meaning)` Deprecated. Generates a key for a given method with its default text and meaning.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FullyQualifiedMethodNameKeyGenerator

    public FullyQualifiedMethodNameKeyGenerator()

Deprecated.

### Method Detail

#### generateKey

    public java.lang.String generateKey(java.lang.String className,
                                        java.lang.String methodName,
                                        java.lang.String text,
                                        java.lang.String meaning)

Deprecated.
Description copied from interface: `KeyGenerator`
Generates a key for a given method with its default text and meaning.

Specified by:
  `generateKey` in interface `KeyGenerator`
Parameters:
  `className` - fully qualified name of the Messages/Constants subinterface
  `methodName` - name of the method in the subinterface
  `text` - default text to use if no translation is available, which may be null if no default text is supplied
  `meaning` - extra text explaining the meaning of the text, or null if not needed
Returns:
  the lookup key as a string or null if the key cannot be computed (for example, if text is null but this generator requires it)